[Discontinued] OneSignal Fix Extension

I don’t know what could be wrong. If i send message using onesignal website it is sent without problem and it is received in the app. But if I try to send message from the app i doesn’t work.
Here my blocks and Settings showing that onesignal app id is fullfilled and a screenshot of Design that shows that both the extension and push component are being used:

PS: The screenshots are from Screen1.
I really have no idea of what I am doing wrong.

Edit: I downloaded the version from the first post.

OnesignalFix extension only fix the SDK issues so that Onesignal could work in your apps. If you are facing some issues such as Notification not receiving in background, Notification sent failed. Then I would like you tell you all that It isn’t the extension issue. You might consider your onesignal first as I already posted a lot of times that this extension only insert some library in app to make onesignal work if you still face issues then check your onesignal once.
Onesignal does not work in companion because App ID property has some issue in companion hence all it’s API blocks that require App ID, none of them will work in companion. So make sure to send the notification in APK instead of companion. Just a suggestion :- You should not use rest API key in client side as also recommended by Onesignal.

1 Like

I am trying in the apk, not companion.

The rest api key is used only in the app of the admin, not in the main app.

Ok then :smiling_face_with_tear:
I bought your Firebase Cloud Message extension a few months ago too, but I had problems using it, then you launched this fix extension and it worked well for me so I gave up that extension. But now I will try it again.

1 Like

Onesignal is again not working. Can anyone please help. I have used onesignal fix also but no results.

onesignal isn’t working since months and months ago.

With this extension you can make it work (it is working fine in some apps of mine), but since some days ago it is not possible to send notifications from inside the app using onesignal component + this extension.
But if you just want the users to get notifications that you send using onesignal webiste it can be done.

I just tested. Seems to be working as it should be. I have tested using two extensions and the kodular component together to get this work done.

  1. OneSignal Extension by @Jerin_Jacob
  2. OneSignal Fix by @Sumit1334
  3. The inbuilt Push Notification component by Kodular

Testing environments:
*Android OS : 8.1
*Segments: Send to All and Using ID (Send push to specific user)
*Send with in app? - Yes, successfully sent.
*Send from OneSignal website? -Yes, successfully sent.

Test Results

From Website and/or Admin App


With in the App

2 Likes

Hi, I am using this one signal fix extension. But even after i couldn’t able to sent push notification. I set the push notification subscription block to true on app initialization. But it is not working. Is there a solution for this?

OneSignal Fix v1.4.0

This is a bugfix for current extension.


What’s Fixed (Bugs)

  • Extension was not working with Firebase Store is now fixed.

  • Extension is now migrated for working in SDK 31.


Update Extension

You can download the extension from the first post.


Thanks You
Sumit :wink:

3 Likes

dont work site
image

Could you please try again? It is fixed now. If you still see this then please try in a different browser.
Thank you.

Push Notification Notice

Hello everyone, I have a news regarding Kodular push notification component. Since from a lot of time onesignal push notification was not working and this extension(OnesignalFix) allows you to use onesignal in your apps. However, after targeting the SDK 31 manually in your apps, the Onesignal would not work or will crash whenever you send notifications due to some Android notification changes in SDK 31.
There is a topic posted regarding the same issue here.

This extension will be useless for apps that target SDK 31. This extension will be working continuously for those apps that target API 30 and this extension is dicontinued now Kodular will be required to update the Onesignal Library to the latest version for SDK 31. Maybe Kodular is already aware about this and fix this issue in its next update or if not then I would like to notify staff about this issue.

If you want to discuss about this issue and its solution then please contact me. I will try to find a solution for it as I really don’t think kodular will fix this issue.

Thank you.

2 Likes